Delete a list
DELETE
Permanently deletes the list, every contact and company row it contains, and its child or linked lists. The deleted list and its contacts are removed from the recipients of your campaigns, which are then resynchronized: deleting a list used as an exclusion list puts the contacts it was excluding back into the campaigns. This cannot be undone.
The call is synchronous: deleting a very large list can take a while.
Authorization
apiKey Authorization<token>
Your 48 character API key, sent as is (a Bearer prefix is tolerated). Create it at https://v3.emelia.io/settings/api.
In: header
Path Parameters
listId*string
List id.
Match
^[0-9a-fA-F]{24}$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/lists/list/65f1a2b3c4d5e6f760f68df4" \ -H "Authorization: YOUR_API_KEY"{ "success": true, "deletedLists": 1, "deletedContacts": 42, "deletedCompanies": 40, "campaignsUpdated": 1}